Subject: bug#65896: 30.0.50; folding text with text properties prevents background from extending past the newline

From: StrawberryTea <[email-masked]>
Date: Sat, 23 Sep 2023 13:33:05 -0500

I’m using this (<https://0x0.st/HViT.txt>) init.el to debug redisplay with:
cgdb –args ./emacs -q -l ./init.el

I still haven’t figured out how to fix this but that init works fine. It doesn’t
matter that it loads all of Org mode since we’re just looking at the display.

Ihor Radchenko <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> Note that there is a similar case when the region is not
>>> displayed at all:
>>>
>>> * Folded heading<point>…
>>>
>>> . C-SPC
>>> . C-f
>>> (observe ellipsis not being highlighted)
>>
>> That’s a feature: we ignore faces of invisible text, which I think is
>> the expected behavior
>
> I do not agree that it is expected. There is basically no way to
> distinguish between
>
> * Heading<region beginning><folded text>
> <region end>
>
> and
>
> * Heading<folded text><region-beginning>
> <region-end>
>
> That said, your example indeed demonstrated that my suggestion would
> cause feature regression. Although, IMHO, not severe one, as
> demonstrated by the above example.
>
>>> > Why cannot Org include in the invisible text the newline of the last
>>> > line that is being hidden?  That is, in the above scenario, make the
>>> > invisible text begin with the first character of “#+begin_src” and end
>>> > after the newline following “#+end_src”.
>>>
>>> That will make ellipsis displayed on the same line with the next heading:
>>>
>>> * Heading
>>> …* Another heading
>>
>> And “* Another heading” cannot have an extra newline before it?
>
> It can, but does not have to. And the problem with face :extend Org
> users experience usually happens when there is no extra newline.